@import url('https://fonts.googleapis.com/css2?family=Pixelify+Sans:wght@400..700&family=VT323&display=swap');

:root {
	--bg: #fafafa;
	--white: #fafafa;
	--black: #0a0a0a;
	--shadow: #1a1a1a70;
	--yo: #ffd000;
	--enemigo: #b85dec;
	--old: #9b7c54;
	--old2: #473728;
	--old3: #e9e0d3;
	--gray: #757575;
	--cienM: 200px;
	--cien: #00ff00;
}

* {
	transition: all .2s;
	font-family: "Pixelify Sans";
}

body {
	background-color: var(--bg);
}

nav {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 75px;
}

nav a {
	background-color: var(--old);
	color: var(--old3);
	border: 5px double var(--old2);
	font-size: 18px;
	border-radius: 15px;
	font-family: 'Pixelify Sans';
	text-align: center;
	padding: 10px;
	margin: 10px;
	width: 300px;
	text-decoration: none;
}

.material-symbols-outlined {
	font-size: 30px;
	color: var(--old2);
	font-family: 'Material Symbols Outlined';
	cursor: pointer;
}

nav a:hover {
	color: var(--white);
	text-shadow: 0 0 5px var(--old3);
	background-color: var(--old2);
	border-color: var(--old);
	transform: scale(1.1);
}

.infoOc h4 {
	color: var(--white);
	margin: 0;
	margin-top: 20px;
	font-family: 'Pixelify Sans';
	font-size: 24px;
	-webkit-text-stroke: 1px var(--black);
}

.hp {
	display: flex;
	flex-direction: row;
	align-items: center;
	margin: 0;
	padding: 0;
	gap: 20px;
}

.hp .bar {
	padding: 1px;
	width: 205px;
	height: 20px;
	outline: 1px solid #000000;
	border-radius: 20px;
}

.pro {
	display: flex;
	justify-content: center;
	align-content: center;
	margin: 1px 2px;
	width: 200px;
	height: 18px;
	border-radius: 150px;
	background-color: var(--cien);
}

.pro:disabled {
	background-color: var(--gray);
}

.nHpOc {
	font-family: 'VT323';
	font-size: 26px;
	color: var(--white);
	-webkit-text-stroke: .7px var(--black);
}

.personaje {
	padding: 10px;
	width: 50px;
	height: 75px;
	border: 4px double var(--black);
}

#pj {
	display: flex;
	align-items: center;
	justify-content: space-around;
	gap: 50px;
}

.uno {
	background-color: var(--yo);
	border-radius: 20px;
}

.dos {
	background-color: var(--enemigo);
	border-radius: 20px;
}

#boton {
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
}

#boton button {
	background-color: var(--old);
	color: var(--old3);
	border: 5px double var(--old2);
	font-size: 18px;
	border-radius: 15px;
	font-family: 'Pixelify Sans';
	text-align: center;
	padding: 7px 50px;
	margin: 10px;
	width: fit-content;
	cursor: pointer;
}

#boton button:hover {
	color: var(--white);
	text-shadow: 0 0 5px var(--old3);
	background-color: var(--old2);
	border-color: var(--old);
	transform: scale(1.1);
}

#boton button:disabled {
	background-color: var(--old3);
	border-color: var(--old);
	color: var(--old2);
}

#habilidades {
	margin: 10px;
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
}

.habs {
	display: flex;
	flex-wrap: wrap;
	gap: 12px;
}

.hab {
	color: var(--white);
	-webkit-text-stroke: .7px var(--black);
	border: 4px double var(--black);
	text-align: center;
	border-radius: 50px;
	padding: 7px 11px 15px 11px;
	width: 25px;
	height: 25px;
	font-size: 30px;
	cursor: pointer;
}

.hab.p12 {
	background-image: linear-gradient(90deg, var(--yo), var(--enemigo));
	width: fit-content;
}

.hab.p1 {
	background-color: var(--yo);
}

.hab.p2 {
	background-color: var(--enemigo);
}

.hab:hover {
	transform: scale(1.1);
}

#tablas {
	display: flex;
	flex-direction: row;
	justify-content: space-around;
}

#tablas #sele1, #sele2, #log {
	background-color: var(--old3);
	border: 10px double var(--old);
	border-radius: 5px;
	width: 500px;
	height: 250px;
	text-align: center;
	margin: auto;
	padding: 20px;
	overflow-y: auto;
}

#log, #sele1, #sele1 p, #sele1 .selector, #sele2, #sele2 p, #sele2 .selector {
	color: var(--old2);
	font-family: 'VT323';
	font-size: 24px;
}

#sele1 p, #sele2 p {
	margin: 0;
}
